import request from '@/utils/axios'

/*get请求*/
// export function getFun(url,params) {
//     return request({
//       url: url,
//       method: 'get',
//       params
//     })
// }
/* post请求 */

//消息信息列表
export function postMessgaelist(data) {
  return request({
    url: '/messageInfo/list',
    method: 'post',
    data
  })
}
//未读消息变为已读
export function noticeRemove(data) {
  return request({
    url: '/messageInfo/changeRead',
    method: 'post',
    data
  })
}
//清除未读消息列表
export function removeAllMessgae(data) {
  return request({
    url: "/messageInfo/changeStatus",
    method: 'get',
    data
  })
}
//删除已读消息
export function removeMessgae(data) {
  return request({
    url: "/messageInfo/remove",
    method: 'post',
    data
  })
}


//待办事项列表
export function waitList(data) {
  return request({
    url: "/backlogInfo/list",
    method: 'post',
    data
  })
}
//未读消息数 
export function badgeNumber(data) {
  return request({
    url: "/backlogInfo/unReadCount",
    method: 'get',
    data
  })
}
//删除已办事项
export function removeWaitList(data) {
  return request({
    url: "/backlogInfo/remove",
    method: 'post',
    data
  })
}

//通知公告列表
export function notificationList(data) {
  return request({
    url: "/noticeInfo/list",
    method: 'post',
    data
  })
}
//清除通知公告未读
export function removeAllNotification(data) {
  return request({
    url: "/noticeInfo/changeStatus",
    method: 'get',
    data
  })
}
//清除通知未读改为已读
export function readNotification(data) {
  return request({
    url: "/noticeInfo/changeRead",
    method: 'post',
    data
  })
}
//删除已读通知列表
export function removeNotification(data) {
  return request({
    url: "/noticeInfo/remove",
    method: 'post',
    data
  })
}